complexType "SettlementInformation"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 2 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 4 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | standardSettlementStyle | settlementInstruction
</...>

Content Model Elements (2):

  settlementInstruction, standardSettlementStyle

All Direct / Indirect Based Elements (4):

  settlementInformation (defined in FxOptionPremium complexType),
  settlementInformation (defined in Payment complexType),
  settlementInformation (defined in PaymentDetails complexType),
  settlementInformation (in payout)

Known Usage Locations

- As direct type of elements (4):
  settlementInformation (defined in FxOptionPremium complexType),
  settlementInformation (defined in Payment complexType),
  settlementInformation (defined in PaymentDetails complexType),
  settlementInformation (in payout)

Annotation
A type that represents the choice of methods for settling a potential currency payment resulting from a trade: by means of a standard settlement instruction, by netting it out with other payments, or with an explicit settlement instruction.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="SettlementInformation"> <xsd:choice> <xsd:element name="standardSettlementStyle" type="StandardSettlementStyleEnum"/> <xsd:element name="settlementInstruction" type="SettlementInstruction"/> </xsd:choice> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
settlementInstruction

  Type: | SettlementInstruction, complex content

  An explicit specification of how a currency payment is to be made, when the payment is not netted and the route is other than the recipient's standard settlement instruction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="settlementInstruction" type="SettlementInstruction"/>

standardSettlementStyle

  Type: | StandardSettlementStyleEnum, simple content

  An optional element used to describe how a trade will settle. This defines a scheme and is used for identifying trades that are identified as settling standard and/or flagged for settlement netting.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Standard" | - | This trade will settle using standard pre-determined funds settlement instructions. See: http://www.FpML.org
  "Net" | - | This trade is a candidate for settlement netting. See: http://www.FpML.org
  "StandardAndNet" | - | This trade will settle using standard pre-determined funds settlement instructions and is a candidate for settlement netting. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="standardSettlementStyle" type="StandardSettlementStyleEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.